'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var configPath = _path2.default.resolve(process.cwd(), '.rintlmgrc');
var templatePath = _path2.default.join(__dirname, 'template.js');

var config = JSON.parse(_fs2.default.readFileSync(configPath, 'utf8'));
var template = _fs2.default.readFileSync(templatePath, 'utf8');

function generateMessagesId(json, pattern, folderPath) {
  var commonPath = pattern.replace(/\/\*\*.+$/, '');
  var messagesPath = folderPath.replace(commonPath, '').slice(1);
  var idsPath = messagesPath.replace('/', '.');

  for (var key in json) {
    json[key].id = idsPath + '.' + key;
  }

  return json;
}

exports.default = function () {
  var _loop = function _loop(i) {
    var pattern = config.paths[i];

    (0, _glob2.default)(pattern, {}, function (err, filePaths) {
      if (err) return console.log(err);

      var _loop2 = function _loop2(_i) {
        var filePath = filePaths[_i];
        var folderPath = filePath.replace(/\/[^\/]+$/, '');
        var messages = JSON.parse(_fs2.default.readFileSync(filePath, 'utf8'));
        var messagesWithId = generateMessagesId(messages, pattern, folderPath);
        var fTemplate = template.replace('{}', JSON.stringify(messagesWithId, null, 2).replace(/\n$/, ''));
        var writePath = _path2.default.resolve(folderPath, 'messages.js');

        _fs2.default.writeFile(writePath, fTemplate, function (err) {
          if (err) return console.log(err);

          console.log('File ' + _path2.default.join(folderPath, 'messages.js') + ' created');
        });
      };

      for (var _i = 0; _i < filePaths.length; _i++) {
        _loop2(_i);
      }
    });
  };

  for (var i = 0; i < config.paths.length; i++) {
    _loop(i);
  }
};